Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026566
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-05-16 09:282014-10-01 16:39
ReportermalsasuaView Statuspublic 
Assigned Toguillermogil 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2.1
StatusclosedFix in branchFixed in SCM revisiona2b35719f45a
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-01-20
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/267df0f85b0e [^]
Triggers an Emergency PackNo
Summary

0026566: error is returned when a call to web service is done and the role used don't have permission to Role and User window

Descriptionerror is returned when a call to web service is done and the role used don't have permission to Role and User window
Steps To Reproduce. call to WebService using a role without permission to Role and User window
error is returned:
<ob:error xmlns:ob="http://www.openbravo.com"><message>Entity [^] ADRole is not directly readable, only id and identifier properties are readable, property ADRole.isWebServiceEnabled is neither of these.</message></ob:error>
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00248583.0PR14Q2 closeddbaz Restrict access to REST web services 

-  Notes
(0067215)
hgbot (developer)
2014-05-16 12:37

Repository: erp/devel/pi
Changeset: a2b35719f45a7ca01b2d35d34a83e6318baaa505
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Fri May 16 12:35:09 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a2b35719f45a7ca01b2d35d34a83e6318baaa505 [^]

Fixed issue 26566:Error returned when calling to websevices

error is returned when a call to web service is done and the role used don't have permission to Role and User window
Added isWebServiceEnabled to OBContext

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonRestServlet.java
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/service/web/BaseWebServiceServlet.java
---
(0067271)
hudsonbot (developer)
2014-05-19 17:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6303d9b2384d [^]
Maturity status: Test
(0067291)
alostale (developer)
2014-05-20 09:05

Code reviewed

Tested with a role having access only to Country window

- Issue History
Date Modified Username Field Change
2014-05-16 09:28 malsasua New Issue
2014-05-16 09:28 malsasua Assigned To => AugustoMauch
2014-05-16 09:28 malsasua Web browser => Google Chrome
2014-05-16 09:28 malsasua Modules => Core
2014-05-16 09:28 malsasua Triggers an Emergency Pack => No
2014-05-16 09:30 guillermogil Assigned To AugustoMauch => guillermogil
2014-05-16 09:49 guillermogil Web browser Google Chrome => Google Chrome
2014-05-16 09:49 guillermogil Regression level => Production - QA Approved
2014-05-16 09:49 guillermogil Regression date => 2014-01-20
2014-05-16 09:49 guillermogil Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/267df0f85b0e [^]
2014-05-16 12:30 guillermogil Relationship added related to 0024858
2014-05-16 12:34 guillermogil Issue Monitored: alostale
2014-05-16 12:35 guillermogil Review Assigned To => alostale
2014-05-16 12:35 guillermogil Web browser Google Chrome => Google Chrome
2014-05-16 12:37 hgbot Checkin
2014-05-16 12:37 hgbot Note Added: 0067215
2014-05-16 12:37 hgbot Status new => resolved
2014-05-16 12:37 hgbot Resolution open => fixed
2014-05-16 12:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a2b35719f45a7ca01b2d35d34a83e6318baaa505 [^]
2014-05-19 17:38 hudsonbot Checkin
2014-05-19 17:38 hudsonbot Note Added: 0067271
2014-05-20 09:05 alostale Note Added: 0067291
2014-05-20 09:05 alostale Status resolved => closed
2014-05-20 09:05 alostale Fixed in Version => PR14Q2.1
2014-10-01 16:39 plujan Web browser Google Chrome => Google Chrome
2014-10-01 16:39 plujan Regression introduced in release => 3.0PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker